PLATFORM_DEVICE_REGI(9)

NAME
platform_device_register_full - add a platform-level device with resources and platform-specific data

SYNOPSIS

struct platform_device * platform_device_register_full(const struct platform_device_info * pdevinfo);

ARGUMENTS

pdevinfo
    data used to create device

DESCRIPTION

Returns struct platform_device pointer on success, or ERR_PTR on error.

COPYRIGHT